#!/bin/sh

rw_trbv2 w 0 6 4 #reset jtag interface
rw_trbv2 w 0 6 0 
rw_portA w 0x0004  #disable TDC clock
rw_trbv2 w 0 6 1


if [ $1 = trb01 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_001_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_001_TDC_setup.jam #load setup registers
fi
if [ $1 = trb10 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_010_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_010_TDC_setup.jam #load setup registers
fi
if [ $1 = trb22 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_022_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_022_TDC_setup.jam #load setup registers
fi
if [ $1 = trb25 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_025_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_025_TDC_setup.jam #load setup registers
fi
if [ $1 = trb30 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_030_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_030_TDC_setup.jam #load setup registers
fi
if [ $1 = trb31 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_031_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_031_TDC_setup.jam #load setup registers
fi
if [ $1 = trb32 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_032_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_032_TDC_setup.jam #load setup registers
fi
if [ $1 = trb34 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_034_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_034_TDC_setup.jam #load setup registers
fi
if [ $1 = trb37 ] ; then
    echo jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_037_TDC_setup.jam
    jamv2tdc -aRUN_FILE  /home/hadaq/trbtdctools/outdata/TRB_037_TDC_setup.jam #load setup registers
fi
rw_trbv2 w 0 6 0
rw_portA w 0x0000  #enable TDC clock
rw_trbv2 w 0 6 1 #enable jtag interface FPGA blocked

if [ $1 = trb01 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_001_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_001_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_001_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb10 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_010_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_010_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_010_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb22 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_022_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_023_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_022_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb25 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_025_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_025_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_025_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb30 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_030_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_030_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_030_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb31 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_031_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_031_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_031_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb32 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_032_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_032_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_032_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb34 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_034_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_034_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_034_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi
if [ $1 = trb37 ] ; then
    echo jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_037_TDC_channels.jam
    jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_037_TDC_channels.jam #load control registers (reset TDC
    until develop_board/analyze.sh; do jamv2tdc -aRUN_FILE /home/hadaq/trbtdctools/outdata/TRB_037_TDC_channels.jam ; develop_board/analyze.sh; done; 
fi

rw_trbv2 w 0 6 0

